=== debian/changelog ===
ros-kinetic-msp (2.2.1-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Christian Rauch <Rauch.Christian@gmx.de>  Wed, 24 Jan 2018 01:47:06 -0000
