=== debian/control ===
Source: ros-kinetic-msp
Section: misc
Priority: extra
Maintainer: Christian Rauch <Rauch.Christian@gmx.de>
Build-Depends: debhelper (>= 9.0.0), cmake, libasio-dev
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-msp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: Implementation of the MultiWii Serial Protocol (MSP)
